cascading.flow.planner.rule

## Class UnsupportedPlanException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - cascading.CascadingException
        - - cascading.flow.FlowException
          - - cascading.flow.planner.PlannerException
            - - cascading.flow.planner.rule.UnsupportedPlanException

- All Implemented Interfaces:
    java.io.Serializable

      public class UnsupportedPlanException
      extends PlannerException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnsupportedPlanException()`
    `UnsupportedPlanException(FlowElement flowElement, java.lang.String message)`
    `UnsupportedPlanException(FlowElement flowElement, java.lang.String message, java.lang.Throwable throwable)`
    `UnsupportedPlanException(FlowElement flowElement, java.lang.String message, java.lang.Throwable throwable, ElementGraph elementGraph)`
    `UnsupportedPlanException(Rule rule, java.lang.Exception exception)`
    `UnsupportedPlanException(java.lang.String string)`
    `UnsupportedPlanException(java.lang.String string, ElementGraph elementGraph)`
    `UnsupportedPlanException(java.lang.String string, java.lang.Throwable throwable)`
    `UnsupportedPlanException(java.lang.String string, java.lang.Throwable throwable, ElementGraph elementGraph)`
    `UnsupportedPlanException(java.lang.Throwable throwable)`

  - ### Method Summary

    - ### Methods inherited from class cascading.flow.planner.PlannerException

      `getElementGraph, writeCauseDOT, writeDOT`

    - ### Methods inherited from class cascading.flow.FlowException

      `getFlowName`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnsupportedPlanException

          public UnsupportedPlanException()

    - #### UnsupportedPlanException

          public UnsupportedPlanException(FlowElement flowElement,
                                  java.lang.String message)

    - #### UnsupportedPlanException

          public UnsupportedPlanException(FlowElement flowElement,
                                  java.lang.String message,
                                  java.lang.Throwable throwable)

    - #### UnsupportedPlanException

          public UnsupportedPlanException(FlowElement flowElement,
                                  java.lang.String message,
                                  java.lang.Throwable throwable,
                                  ElementGraph elementGraph)

    - #### UnsupportedPlanException

          public UnsupportedPlanException(java.lang.String string)

    - #### UnsupportedPlanException

          public UnsupportedPlanException(java.lang.String string,
                                  java.lang.Throwable throwable)

    - #### UnsupportedPlanException

          public UnsupportedPlanException(java.lang.Throwable throwable)

    - #### UnsupportedPlanException

          public UnsupportedPlanException(java.lang.String string,
                                  ElementGraph elementGraph)

    - #### UnsupportedPlanException

          public UnsupportedPlanException(java.lang.String string,
                                  java.lang.Throwable throwable,
                                  ElementGraph elementGraph)

    - #### UnsupportedPlanException

          public UnsupportedPlanException(Rule rule,
                                  java.lang.Exception exception)

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.